import os
from setuptools import find_packages, setup


def read_file(filename):
    '''
    Read the contents of a file relative to this one.
    '''
    with open(os.path.join(os.path.dirname(__file__), filename)) as f:
        return f.read()

setup(
    name='melvil',
    version='0.0.6',
    author='Getty Ritter',
    author_email='getty.ritter@gmail.com',
    description='A simple, configurable HTTP reverse proxy.',
    install_requires='twisted',
    packages=find_packages(),
    license='BSD',
    keywords='http',
    url='http://infinitenegativeutility.com/software/aloysius',
    long_description=read_file('README'),
    entry_points={
        'console_scripts': [
            'melvil = melvil:main'
        ]
    },
)
